I made a huge mistake this weekend, upgrading from a jailbroken 1.1.1, to 1.1.2.
Result, I'm now on a vanilla 1.1.3.
I cannot downgrade, and I tried various versions to jailbreak under 1.1.3.
I'm wondering if these methods are not yet ready for MacOSX.

Is there a decent version to do this under MacOSX, or should I try a Windows version?

TIA